Skip to main content
GET
/
v1
/
analysis-sources
/
{analysisSourceId}
/
effective-date-metrics
Read Effective Date Metrics
curl --request GET \
  --url https://{tenant}.mindbridge.ai/api/v1/analysis-sources/{analysisSourceId}/effective-date-metrics \
  --header 'Authorization: Bearer <token>'
{
  "periodType": "DAY",
  "entriesInPeriod": 123,
  "entriesOutOfPeriod": 123,
  "debitsInPeriod": 123,
  "creditsInPeriod": 123,
  "inPeriodCountHistogram": {},
  "outOfPeriodCountHistogram": {}
}

Documentation Index

Fetch the complete documentation index at: https://developer.mindbridge.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

analysisSourceId
string
required

Query Parameters

period
enum<string>
required
Available options:
DAY,
WEEK,
MONTH

Response

200 - application/json

OK

periodType
enum<string>

Indicates the time period by which the histogram has been broken down.

Available options:
DAY,
WEEK,
MONTH
entriesInPeriod
integer<int64>

The number of entries that occurred within the source period's date range.

entriesOutOfPeriod
integer<int64>

The number of entries that occurred outside of the source period's date range.

debitsInPeriod
number

The total debit amount that occurred within the source period's date range.

creditsInPeriod
number

The total credit amount that occurred within the source period's date range.

inPeriodCountHistogram
object

A map showing the total number of entries that occurred within each indicated date period.

outOfPeriodCountHistogram
object

A map showing the total number of entries that occurred outside of each indicated date period.